using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int x, y, brojac = 0;
            var broj = new int[10000000]; 
            x = int.Parse(Console.ReadLine());
            y = int.Parse(Console.ReadLine());
            while(x != 0 || y != 0) {
                if (x % 10 > y % 10)
                {
                    broj[brojac++] = x % 10;
                    x /= 10;
                    y /= 10;
                }
                else if (x % 10 < y % 10)
                {
                    broj[brojac++] = y % 10;
                    x /= 10;
                    y /= 10;
                }
                else if(x == 0 && y % 10 == 0)
                {
                    broj[brojac++] = y % 10;
                    x /= 10;
                    y /= 10;
                }
                else if(y == 0 && x % 10 == 0)
                {
                    broj[brojac++] = x % 10;
                    x /= 10;
                    y /= 10;
                }
                else if (x % 10 == y % 10)
                {
                    broj[brojac++] = y % 10;
                    broj[brojac++] = x % 10;
                    x /= 10;
                    y /= 10;
                }

            }
            for(int i = brojac - 1; i >= 0; i--)
            {
                Console.Write(broj[i]);
            }
        }
    }
}